<< rlevinson | FOSSEE_Signal_Processing_Toolbox | rooteig >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rms

# rms

Root mean squared value

### Syntax

    Y=rms(X);
    Y=rms(X,dim);

### Description

For vectors, RMS(X) is the root mean squared value in X. For matrices, RMS(X) is a row vector containing the RMS value from each column. For N-D arrays, RMS(X) operates along the first non-singleton dimension.

Y = RMS(X,DIM) operates along the dimension DIM.

When X is complex, the RMS is computed using the magnitude RMS(ABS(X)).

### Examples

    // Compute the root mean squared (RMS) value of a vector and a matrix
    x = [1, 2, 3, 4]
    y1 = rms(x)

### Authors

- Debdeep Dey

Report an issue
<< rlevinson | FOSSEE_Signal_Processing_Toolbox | rooteig >>